View Issue Details

IDProjectCategoryView StatusLast Update
0004708Talerauditorpublic2016-11-20 03:26
ReporterChristian GrothoffAssigned Totg 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0004708: database functions in plugin_auditordb_postgres.c must be implemented
DescriptionRight now, all of the auditor-specific insert/update/select functions are not implemented. We need to write the prepared SQL statements and add the main logic for each of these functions.
TagsNo tags attached.

Relationships

child of 0003775 closedChristian Grothoff need to implement basic auditing 

Activities

tg

2016-11-03 21:37

developer   ~0011424

the DB functions are implemented.

are the auditor_progress and historic_ledger tables unused for now?
didn't find any functions dealing with these tables

test cases coming up next

tg

2016-11-04 20:40

developer   ~0011433

tests are implemented now

Christian Grothoff

2016-11-06 13:40

manager   ~0011435

The lack of accessors for auditor_progress was an oversight on my part. I've added those to taler_auditor_plugin.h in 2a44112..02d28bc --- please add them to the plugin, we need those "immediately" if we want the auditor to work.

The "historic_ledger" is indeed just a placeholder, and it's fine to leave that one inaccessible right now IMO, as it may still have to change quite a bit.

Christian Grothoff

2016-11-06 13:41

manager   ~0011436

Re-opening/re-assigning as there is a bit more to do ;-)

tg

2016-11-06 14:24

developer   ~0011438

added auditor_progress implementation + tests

Issue History

Date Modified Username Field Change
2016-10-09 01:41 Christian Grothoff New Issue
2016-10-09 01:41 Christian Grothoff Status new => assigned
2016-10-09 01:41 Christian Grothoff Assigned To => Florian Dold
2016-10-09 01:42 Christian Grothoff Assigned To Florian Dold => tg
2016-10-09 01:43 Christian Grothoff Relationship added child of 0003775
2016-11-03 21:37 tg Note Added: 0011424
2016-11-04 20:40 tg Note Added: 0011433
2016-11-04 20:41 tg Status assigned => resolved
2016-11-04 20:41 tg Resolution open => fixed
2016-11-06 13:40 Christian Grothoff Note Added: 0011435
2016-11-06 13:41 Christian Grothoff Note Added: 0011436
2016-11-06 13:41 Christian Grothoff Status resolved => assigned
2016-11-06 14:24 tg Note Added: 0011438
2016-11-06 14:24 tg Status assigned => resolved
2016-11-15 00:39 root Fixed in Version => 0.2
2016-11-15 00:39 root Target Version 0.3 => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed